Subject: [6lowpan] Identifying a host

From: Dario Tedeschi <[email-masked]>
Date: Wed, 29 Feb 2012 13:17:08 +0200

I was wondering if it would be useful to add an R (Router) flag to the 
ARO, in 6LoWPAN ND, to indicate whether a node is a router or a host. It 
would be very handy for route-over topologies (i.e. RPL).

When a node registers an address through its default router, that router 
needs to know whether the node is operating as a router as well or just 
a host. If it's a host, the router can add a host route to that node, 
indicating that that node is outside of the routing domain and that the 
node expects traffic forwarded on it's behalf.

The reason for choosing the ARO to add the flag is that NS does not have 
the R flag like the NA does, and since it's likely that only an NS+ARO 
will ever be sent from a registering node and the ARO is specific to 
6LoWPAN, adding an R flag to the ARO would seem the logical choice.

Dario